Package com.enonic.xp.node

## Class DuplicateNodeParams.Builder

- java.lang.Object
- - com.enonic.xp.node.DuplicateNodeParams.Builder

- Enclosing class:
    DuplicateNodeParams

      public static final class DuplicateNodeParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DuplicateNodeParams` | `build()` |
    `DuplicateNodeParams.Builder` | `dataProcessor​(NodeDataProcessor dataProcessor)` |
    `DuplicateNodeParams.Builder` | `duplicateListener​(DuplicateNodeListener duplicateListener)` |
    `DuplicateNodeParams.Builder` | `includeChildren​(Boolean includeChildren)` |
    `DuplicateNodeParams.Builder` | `name​(String nodeName)` |
    `DuplicateNodeParams.Builder` | `nodeId​(NodeId nodeId)` |
    `DuplicateNodeParams.Builder` | `parent​(NodePath parent)` |
    `DuplicateNodeParams.Builder` | `processor​(DuplicateNodeProcessor processor)` | Deprecated.
    `DuplicateNodeParams.Builder` | `refresh​(RefreshMode refresh)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nodeId

          public DuplicateNodeParams.Builder nodeId​(NodeId nodeId)

    - #### processor

          @Deprecated
          public DuplicateNodeParams.Builder processor​(DuplicateNodeProcessor processor)

      Deprecated.

    - #### dataProcessor

          public DuplicateNodeParams.Builder dataProcessor​(NodeDataProcessor dataProcessor)

    - #### duplicateListener

          public DuplicateNodeParams.Builder duplicateListener​(DuplicateNodeListener duplicateListener)

    - #### includeChildren

          public DuplicateNodeParams.Builder includeChildren​(Boolean includeChildren)

    - #### name

          public DuplicateNodeParams.Builder name​(String nodeName)

    - #### parent

          public DuplicateNodeParams.Builder parent​(NodePath parent)

    - #### refresh

          public DuplicateNodeParams.Builder refresh​(RefreshMode refresh)

    - #### build

          public DuplicateNodeParams build()